jm.music.data

## Class Rest

- java.lang.Object
- - jm.music.data.Note
  - - jm.music.data.Rest

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable

      public class Rest
      extends Note

  Creates a silent object that can be added to a phrase amongst Notes.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class jm.music.data.Note

      `A, A_FLAT, A_SHARP, AMP_ENV, B, B_FLAT, C, C_SHARP, D, D_SHARP, DEFAULT_ARTICULATION, DEFAULT_DURATION, DEFAULT_DURATION_MULTIPLIER, DEFAULT_DYNAMIC, DEFAULT_OFFSET, DEFAULT_PAN, DEFAULT_PITCH, DEFAULT_RHYTHM_VALUE, DEFAULT_SAMPLE_START_TIME, E, E_FLAT, F, F_SHARP, FILTER_ENV, FREQUENCY, G, G_SHARP, MAX_DURATION, MAX_DYNAMIC, MAX_MIDI_PITCH, MAX_PAN, MAX_PITCH, MAX_RHYTHM_VALUE, MIDI_PITCH, MIN_DURATION, MIN_DYNAMIC, MIN_FREQUENCY, MIN_PAN, MIN_PITCH, MIN_RHYTHM_VALUE, PAN_ENV, PITCH_ENV, REST`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Rest()` Simple constructor that creates a rest of one beat length.
    `Rest(double rhythmValue)` A constructor that creates a new Rest with the specified rhythm value.

  - ### Method Summary

    - ### Methods inherited from class jm.music.data.Note

      `copy, equals, freqToMidiPitch, getBreakPoints, getDuration, getDynamic, getFrequency, getMyPhrase, getNote, getNote, getOffset, getPan, getPitch, getPitchType, getPitchValue, getRhythmValue, getSampleStartTime, isFlat, isNatural, isRest, isScale, isSharp, midiPitchToFreq, nextNote, sameDuration, samePitch, setBreakPoints, setDuration, setDynamic, setFrequency, setLength, setMyPhrase, setOffset, setPan, setPitch, setPitchType, setRhythmValue, setRhythmValue, setSampleStartTime, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Rest

          public Rest()

      Simple constructor that creates a rest of one beat length.

    - #### Rest

          public Rest(double rhythmValue)

      A constructor that creates a new Rest with the specified rhythm value.
      Parameters:
        `rhythmValue` - The number of beats long this rest is.